"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.fetch_get_text = exports.fetch_get = void 0;
/******************************************************************************
    Copyright:: 2023- IBM, Inc

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
*****************************************************************************/
let fetch2 = typeof fetch !== "undefined" ? fetch : null;
;
if (!fetch2) {
    fetch2 = (url) => __awaiter(void 0, void 0, void 0, function* () {
        try {
            const resp = yield new Promise((resolve, reject) => {
                const xhr = new XMLHttpRequest();
                xhr.open('GET', url, true);
                xhr.onload = () => resolve(xhr);
                xhr.onerror = () => reject(new Error(`Request failed with status: ${xhr.status}`));
                xhr.send();
            });
            if (resp.status >= 200 && resp.status < 300) {
                return {
                    text: () => __awaiter(void 0, void 0, void 0, function* () { return resp.responseText; }),
                    json: () => __awaiter(void 0, void 0, void 0, function* () { return JSON.parse(resp.responseText); })
                };
            }
            else {
                throw new Error(`Request failed with status: ${resp.status}`);
            }
        }
        catch (error) {
            console.error('Error fetching data:', error);
            throw error;
        }
    });
}
function fetch_get(url) {
    return __awaiter(this, void 0, void 0, function* () {
        const resp = yield fetch2(url);
        return yield resp.json();
    });
}
exports.fetch_get = fetch_get;
function fetch_get_text(url) {
    return __awaiter(this, void 0, void 0, function* () {
        const resp = yield fetch2(url);
        return yield resp.text();
    });
}
exports.fetch_get_text = fetch_get_text;
//# sourceMappingURL=Fetch.js.map