/******************************************************************************
     Copyright:: 2020- IBM, Inc

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
  *****************************************************************************/
import { IConfigInternal } from "../config/IConfig.js";
import { Guideline } from "../engine/IGuideline.js";
import { CompressedReport } from "../engine/IReport.js";
import { GenSummReturn, IReporter, IReporterStored } from "./ReporterManager.js";
export declare class ACReporterJSON implements IReporter {
    name(): string;
    generateReport(config: IConfigInternal, rulesets: Guideline[], storedReport: IReporterStored): {
        reportPath: string;
        report: string;
    } | void;
    generateSummary(config: IConfigInternal, _rulesets: Guideline[], endReport: number, compressedReports: CompressedReport[]): Promise<GenSummReturn>;
    static generateReportSummary(config: IConfigInternal, rulesets: Guideline[], storedReport: IReporterStored): {
        counts: import("../engine/IReport.js").SummaryCounts;
        scanTime: any;
        ruleArchive: string;
        policies: string[];
        reportLevels: import("../config/IConfig.js").eRuleLevel[];
        startScan: number;
        URL: string;
    };
}
