/******************************************************************************
     Copyright:: 2020- IBM, Inc

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.
  *****************************************************************************/
import { IConfigInternal } from "../config/IConfig.js";
import { Guideline } from "../engine/IGuideline.js";
import { CompressedReport } from "../engine/IReport.js";
import { GenSummReturn, IReporter } from "./ReporterManager.js";
export declare class ACReporterXLSX implements IReporter {
    name(): string;
    generateReport(_reportData: any): {
        reportPath: string;
        report: string;
    } | void;
    generateSummary(config: IConfigInternal, rulesets: Guideline[], endReport: number, summaryData: CompressedReport[]): Promise<GenSummReturn>;
    private static createOverviewSheet;
    private static createScanSummarySheet;
    private static buildIssueSummaryLevel;
    private static buildIssueSummaryTKLevel;
    private static createIssueSummarySheet;
    private static createIssuesSheet;
    private static createDefinitionsSheet;
    private static countDuplicatesInArray;
    private static get_element;
    private static format_date;
    private static stringHash;
}
